Name:           xgalaxy
Version:        2.0.34
Release:        8%{?dist}
Summary:        Galaxian / Galaga like game with powerups
Group:          Amusements/Games
License:        GPL+
URL:            http://sourceforge.net/projects/xgalaga/
Source0:        http://downloads.sourceforge.net/xgalaga/xgalaga_%{version}.orig.tar.gz
Source1:        %{name}.desktop
Source2:        %{name}-hyperspace.desktop
Patch0:         http://ftp.debian.org/debian/pool/main/x/xgalaga/xgalaga_2.0.34-44.diff.gz
Patch1:         %{name}-2.0.34-fullscreen.patch
Patch2:         %{name}-2.0.34-%{name}.patch
Patch3:         %{name}-2.0.34-joy.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  libXt-devel libXpm-devel libXmu-devel libXxf86vm-devel
BuildRequires:  desktop-file-utils ImageMagick 
Requires:       hicolor-icon-theme
Obsoletes:      xgalaga <= %{version}
Provides:       xgalaga = %{version}-%{release}

%description
Arcade game for the X Window System inspired by the classic game Galaga.
Xgalaxy is a Galaxian like game with additional features to produce a more
interesting game.
 

%prep
%setup -q -n xgalaga-%{version}
# many thanks to Debian for all their excellent work on xgalala
%patch0 -p1 -z .deb
%patch1 -p1 -z .fs
%patch2 -p1 -z .%{name}
%patch3 -p1 -z .joy
sed -e 's/Debian/Fedora/g' debian/README.Debian > README.fedora
cat >> README.fedora << EOF

The latest Fedora %{name} package also includes fullscreen support, start
%{name} with -window to get the old windowed behavior. You can switch on the
fly between window and fullscreen mode with alt+enter.
EOF

# Change the name everywhere as upstreams name has already been used for a game
# much like this one in the past, upstreams use of this is a legal gray area.
sed -i 's/xgalaga/xgalaxy/g' `grep -rls xgalaga .`
sed -i 's/XGalaga/XGalaxy/g' `grep -rls XGalaga .`


%build
export CFLAGS="$RPM_OPT_FLAGS -fsigned-char -DXF86VIDMODE"
export LDFLAGS=-lXxf86vm
./configure --libdir=%{_libdir} --exec-prefix=%{_bindir} \
  --prefix=%{_datadir}/%{name}
make %{?_smp_mflags}
convert images/player3.xpm %{name}.png


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# move the sound-server binary out of %{_datadir}
mv $RPM_BUILD_ROOT%{_datadir}/%{name}/xgal.sndsrv.oss \
  $RPM_BUILD_ROOT%{_bindir}
ln -s ../../bin/xgal.sndsrv.oss \
  $RPM_BUILD_ROOT%{_datadir}/%{name}/xgal.sndsrv.oss
# fix useless exec bit
chmod -x $RPM_BUILD_ROOT%{_datadir}/%{name}/*/*
# make install doesn't install the manpage
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man6
install -m 644 xgal.6x $RPM_BUILD_ROOT%{_mandir}/man6/%{name}.6

# below is the desktop file and icon stuff.
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor fedora            \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  %{SOURCE1}
desktop-file-install --vendor fedora            \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  %{SOURCE2}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/22x22/apps
install -p -m 644 %{name}.png \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/22x22/apps


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files
%defattr(-,root,root,-)
%doc CHANGES COPYING README README.fedora
%{_bindir}/%{name}*
%{_bindir}/xgal.sndsrv.oss
%{_datadir}/%{name}
%{_mandir}/man6/%{name}.6.gz
%{_datadir}/applications/fedora-%{name}*.desktop
%{_datadir}/icons/hicolor/22x22/apps/%{name}.png


%changelog
* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.0.34-8
- Autorebuild for GCC 4.3

* Fri Aug 31 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 2.0.34-7
- Update Debian patch to the 2.0.34-44 version

* Thu Aug 16 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 2.0.34-6
- Update License tag for new Licensing Guidelines compliance
- Add iconcache update scriptlets

* Tue Aug 29 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 2.0.34-5
- FE6 Rebuild

* Thu Jun  1 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 2.0.34-4
- Workaround broken glibc-kernheaders (bz 193747).
- Add Provides and Obsoletes xgalaga in case people have an xgalaga package
  installed from another source.

* Wed May 31 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 2.0.34-3
- Fixed ships not being centered when flying in in level 1
- Fixed artifacts (ships not yet on screen showing) in level 2
- Added -winsize widthxheight option, which can be used to specify an
  alternative window size
- Documented the -level, -window, -winsize switch in the manpage.

* Mon May 22 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 2.0.34-2
- Change name to xgalaxy because upstreams name has already been used for a
  game much like this one in the past, upstreams use of this name thus legally
  is a bit dodgy.
- Add missing BR: libXxf86vm-devel
- Stop using %%{__sed} just use sed, to be consistent with the way make, rm,
  etc. are called. 
- Package the included manpage.

* Thu May 11 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 2.0.34-1
- Initial packaging based on spec file by Michael A. Peters <mpeters@mac.com>
